> ## Documentation Index
> Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook

> Updates the specified webhook. The webhook must belong to the authenticated user's current workspace.



## OpenAPI

````yaml PUT /api/v1/webhooks/{id}
openapi: 3.0.3
info:
  title: Colloqui API Documentation
  description: API documentation for Colloqui application
  version: 1.0.0
servers:
  - url: https://colloqui-web-develop-btoadh.laravel.cloud
security:
  - default: []
tags:
  - name: Authentication
    description: |-

      APIs for retrieving a token and invalidating the current token.
  - name: API Keys
    description: |-

      APIs for managing API keys.
  - name: Agent
    description: |-

      APIs for agents
  - name: Agent Versions
    description: |-

      APIs for retrieving version history of an agent.
  - name: Call History
    description: |-

      APIs for managing call histories.
  - name: Knowledge Base
    description: |-

      APIs for knowledge base management.
  - name: Number
    description: |-

      APIs for managing numbers.
  - name: Subscription
    description: |-

      APIs to subscribe an agent to a subscription.
  - name: User
    description: |-

      APIs for managing users.
  - name: Webhook
    description: |-

      APIs for managing webhooks.
  - name: Workspace
    description: |-

      APIs for managing workspaces.
  - name: Workspace User
    description: |-

      APIs for managing users within workspaces.
paths:
  /api/v1/webhooks/{id}:
    parameters:
      - in: path
        name: id
        description: The ID of the webhook.
        example: 01h8xyz123abc456def789ghi
        required: true
        schema:
          type: string
    put:
      tags:
        - Webhook
      summary: Update Webhook
      description: >-
        Updates the specified webhook. The webhook must belong to the
        authenticated user's current workspace.
      operationId: updateWebhook
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                  description: Must be a valid URL.
                  example: >-
                    http://www.example.com/quos-velit-et-fugiat-sunt-nihil-accusantium-harum.html
                payload:
                  type: object
                  description: ''
                  example: null
                  properties: {}
                check_https:
                  type: boolean
                  description: ''
                  example: true
                logging_enabled:
                  type: boolean
                  description: ''
                  example: true
                retries:
                  type: integer
                  description: Must be at least 0. Must not be greater than 10.
                  example: 5
                timeout:
                  type: integer
                  description: Must be at least 1. Must not be greater than 1800.
                  example: 8
              required:
                - url
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 01kqh44brhaynh3j7ahkt1gmq4
                    url: Example text.
                    payload:
                      data:
                        id: c68e0767-6220-31fb-a489-61093ff79529
                        name: Example Name
                      event: user.created
                      timestamp: 2020-05-23T06:21:42+0000
                    check_https: true
                    logging_enabled: true
                    retries: 10
                    timeout: 607
                    workspace_id: 01kqh44brap20285ng05cn1ktc
                    created_at: '2026-05-01T06:38:01+00:00'
                    updated_at: '2026-05-01T06:38:01+00:00'
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: 01kqh44brhaynh3j7ahkt1gmq4
                      url:
                        type: string
                        example: Example text.
                      payload:
                        type: object
                        properties:
                          data:
                            type: object
                            properties:
                              id:
                                type: string
                                example: c68e0767-6220-31fb-a489-61093ff79529
                              name:
                                type: string
                                example: My Agent
                          event:
                            type: string
                            example: user.created
                          timestamp:
                            type: string
                            example: 2020-05-23T06:21:42+0000
                      check_https:
                        type: boolean
                        example: true
                      logging_enabled:
                        type: boolean
                        example: true
                      retries:
                        type: integer
                        example: 10
                      timeout:
                        type: integer
                        example: 607
                      workspace_id:
                        type: string
                        example: 01kqh44brap20285ng05cn1ktc
                      created_at:
                        type: string
                        example: '2026-05-01T06:38:01+00:00'
                      updated_at:
                        type: string
                        example: '2026-05-01T06:38:01+00:00'
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Bearer token authentication

````